curl --request GET \
--url https://api.skulabs.com/cycle_count/get_all \
--header 'Authorization: Bearer <token>'{
"cycle_counts": [
{
"_id": "507f1f77bcf86cd799439011",
"number": 123,
"warehouse_id": "507f1f77bcf86cd799439011",
"location_id": "507f1f77bcf86cd799439011",
"status": "created",
"account_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"allow_ad_hoc": true,
"items": [
{
"item_id": "507f1f77bcf86cd799439011",
"quantity": 123,
"ad_hoc": true,
"note": "<string>",
"delta": 123,
"old_on_hand": 123,
"scanned_serial_numbers": [
"<string>"
]
}
],
"log": [
{
"action": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"user_id": "507f1f77bcf86cd799439011"
}
]
}
]
}Retrieve all cycle counts with optional filtering by status and warehouse.
curl --request GET \
--url https://api.skulabs.com/cycle_count/get_all \
--header 'Authorization: Bearer <token>'{
"cycle_counts": [
{
"_id": "507f1f77bcf86cd799439011",
"number": 123,
"warehouse_id": "507f1f77bcf86cd799439011",
"location_id": "507f1f77bcf86cd799439011",
"status": "created",
"account_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"allow_ad_hoc": true,
"items": [
{
"item_id": "507f1f77bcf86cd799439011",
"quantity": 123,
"ad_hoc": true,
"note": "<string>",
"delta": 123,
"old_on_hand": 123,
"scanned_serial_numbers": [
"<string>"
]
}
],
"log": [
{
"action": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"user_id": "507f1f77bcf86cd799439011"
}
]
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Start date/time filter for log entries
"2025-01-15T12:00:00.000Z"
End date/time filter for log entries
"2025-01-15T12:00:00.000Z"
Array of cycle counts within the date range
Array of cycle counts
Show child attributes